﻿using System;
using System.ComponentModel;

namespace WinFormsApp1
{
    public interface ILanguage
    {
        ComponentResourceManager ResourceManager { get; }
        System.Globalization.CultureInfo CultureInfo { get; }
    }
    public class LanguageManger
    {
        public event EventHandler<ILanguage> LanguageChanged;
        private ILanguage language;
        private static LanguageManger _Instance = new LanguageManger();
        public static LanguageManger Instance => _Instance;
        public ILanguage Language
        {
            get => language;
            set
            {
                language = value;
                LanguageChanged?.Invoke(this, value);
            }
        }
        static LanguageManger()
        {

        }
        LanguageManger()
        {
            
        }

    }
}
